<?php if(function_exists("register_field_group"))
{
    register_field_group(array (
        'id' => 'acf_category-details',
        'title' => 'Category Details',
        'fields' => array (
            array (
                'key' => 'field_56f12820a9d30',
                'label' => 'Select Category Page Layout',
                'name' => 'select_category_page_layout',
                'type' => 'select',
                'instructions' => 'You can select category page layout from here.',
                'choices' => array (
                    'fullWidthSimple' => 'Full Width Simple',
                    'fullWidthParallax' => 'Full Width Parallax',
                    'sideImage' => 'Side Image',
                ),
                'default_value' => 'fullWidthSimple',
                'allow_null' => 0,
                'multiple' => 0,
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'ef_taxonomy',
                    'operator' => '==',
                    'value' => 'category',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_contact-details',
        'title' => 'Contact Details',
        'fields' => array (
            array (
                'key' => 'field_56fcde80b1388',
                'label' => 'Form Heading',
                'name' => 'form_heading',
                'type' => 'text',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56fcde91b1389',
                'label' => 'Contact Form 7 Shortcode',
                'name' => 'contact_form_7_shortcode',
                'type' => 'text',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56fccf1887f1a',
                'label' => 'Map Latitude',
                'name' => 'map_latitude',
                'type' => 'text',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56fccf2487f1b',
                'label' => 'Map Longitude',
                'name' => 'map_longitude',
                'type' => 'text',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56fccf3887f1c',
                'label' => 'Zoom Level',
                'name' => 'zoom_level',
                'type' => 'number',
                'default_value' => 17,
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'min' => 1,
                'max' => 25,
                'step' => '',
            ),
            array (
                'key' => 'field_56fccf5987f1d',
                'label' => 'Map Marker',
                'name' => 'map_marker',
                'type' => 'image',
                'save_format' => 'url',
                'preview_size' => 'medium',
                'library' => 'all',
            ),
            array (
                'key' => 'field_56fccf6b87f1e',
                'label' => 'Map Height',
                'name' => 'map_height',
                'type' => 'text',
                'instructions' => 'You can override default height, just input numeric value.',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56fccf8e87f1f',
                'label' => 'Hide Map',
                'name' => 'hide_map',
                'type' => 'select',
                'choices' => array (
                    'no' => 'No',
                    'yes' => 'Yes',
                ),
                'default_value' => 'no',
                'allow_null' => 0,
                'multiple' => 0,
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'page-contact.php',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
                0 => 'featured_image',
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_load-more-page-details',
        'title' => 'Load More Page Details',
        'fields' => array (
            array (
                'key' => 'field_56f8deaea198e',
                'label' => 'Number Of Portfolio Items To Display',
                'name' => 'number_of_portfolio_items_to_display',
                'type' => 'number',
                'instructions' => 'You can select number of portfolio items on each load.',
                'default_value' => 4,
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'min' => 1,
                'max' => '',
                'step' => '',
            ),
            array (
                'key' => 'field_56f8df06a198f',
                'label' => 'Portfolio Items Display Order',
                'name' => 'portfolio_items_display_order',
                'type' => 'select',
                'instructions' => 'Select portfolio items display order, make sure load more page and portfolio page display order should be same.',
                'choices' => array (
                    'ASC' => 'Ascending',
                    'DESC' => 'Descendig',
                ),
                'default_value' => 'ASC',
                'allow_null' => 0,
                'multiple' => 0,
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'page-portfolio-load-more.php',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
                0 => 'permalink',
                1 => 'the_content',
                2 => 'excerpt',
                3 => 'custom_fields',
                4 => 'discussion',
                5 => 'comments',
                6 => 'revisions',
                7 => 'slug',
                8 => 'author',
                9 => 'format',
                10 => 'featured_image',
                11 => 'categories',
                12 => 'tags',
                13 => 'send-trackbacks',
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_page-banner-details',
        'title' => 'Page Banner Details',
        'fields' => array (
            array (
                'key' => 'field_5700064d3a3b5',
                'label' => 'Choose Banner Type',
                'name' => 'choose_banner_type',
                'type' => 'select',
                'choices' => array (
                    'hide' => 'Hide',
                    'image' => 'Image Banner',
                    'slider' => 'Slider Revolution',
                ),
                'default_value' => 'hide',
                'allow_null' => 0,
                'multiple' => 0,
            ),
            array (
                'key' => 'field_570006b214ae2',
                'label' => 'Banner Heading',
                'name' => 'banner_heading',
                'type' => 'text',
                'instructions' => 'Leave empty if not required.',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_5700064d3a3b5',
                            'operator' => '==',
                            'value' => 'image',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_570006ec14ae3',
                'label' => 'Banner Small Caption',
                'name' => 'banner_small_caption',
                'type' => 'text',
                'instructions' => 'Leave empty if not required.',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_5700064d3a3b5',
                            'operator' => '==',
                            'value' => 'image',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_5700071314ae4',
                'label' => 'Banner Image',
                'name' => 'banner_image',
                'type' => 'image',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_5700064d3a3b5',
                            'operator' => '==',
                            'value' => 'image',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'save_format' => 'url',
                'preview_size' => 'full',
                'library' => 'all',
            ),
            array (
                'key' => 'field_5700072814ae5',
                'label' => 'Slider Revolution Alias',
                'name' => 'slider_revolution_alias',
                'type' => 'text',
                'instructions' => 'Please input slider revolution alias only not whole shortcode.',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_5700064d3a3b5',
                            'operator' => '==',
                            'value' => 'slider',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'post',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
            array (
                array (
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'page',
                    'order_no' => 0,
                    'group_no' => 1,
                ),
            ),
            array (
                array (
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'kora_portfolio',
                    'order_no' => 0,
                    'group_no' => 2,
                ),
            ),
            array (
                array (
                    'param' => 'ef_taxonomy',
                    'operator' => '==',
                    'value' => 'category',
                    'order_no' => 0,
                    'group_no' => 3,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_page-layout',
        'title' => 'Page Layout',
        'fields' => array (
            array (
                'key' => 'field_56fb8a5cb56db',
                'label' => 'Page Layout',
                'name' => 'page_layout',
                'type' => 'select',
                'instructions' => 'You can set page layout as container or full width.',
                'choices' => array (
                    'container' => 'Container',
                    'full-width' => 'Full Width',
                ),
                'default_value' => 'container',
                'allow_null' => 0,
                'multiple' => 0,
            ),
            array (
                'key' => 'field_56fb8b335ca3d',
                'label' => 'Message 1',
                'name' => '',
                'type' => 'message',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56fb8a5cb56db',
                            'operator' => '==',
                            'value' => 'container',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'message' => '<p style="color:red;">You can set page content inside a container having fix width.</p>',
            ),
            array (
                'key' => 'field_56fb8bcd5ca3e',
                'label' => 'Message 2',
                'name' => '',
                'type' => 'message',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56fb8a5cb56db',
                            'operator' => '==',
                            'value' => 'full-width',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'message' => '<p style="color:red;">You can set page content out of container having fix width, it\'s mean you have to use visual composer to make grid or container for your layout.</p>',
            ),
            array (
                'key' => 'field_56fb8acc5ca3b',
                'label' => 'Extra Classes',
                'name' => 'extra_classes',
                'type' => 'text',
                'instructions' => 'You can input extra classes for that page.',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56fb8b005ca3c',
                'label' => 'Hide Page Title',
                'name' => 'hide_page_title',
                'type' => 'select',
                'instructions' => 'You can hide page title.',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56fb8a5cb56db',
                            'operator' => '==',
                            'value' => 'container',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'choices' => array (
                    'yes' => 'Yes',
                    'no' => 'No',
                ),
                'default_value' => 'no',
                'allow_null' => 0,
                'multiple' => 0,
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'default',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'side',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_portfolio-details',
        'title' => 'Portfolio Details',
        'fields' => array (
            array (
                'key' => 'field_56f8da2287a23',
                'label' => 'Select Portfolio Layout',
                'name' => 'select_portfolio_layout',
                'type' => 'select',
                'instructions' => 'You can select portfolio layout from here.',
                'choices' => array (
                    'masonry-2-column' => 'Masonry 2 Column',
                    'masonry-3-column-full' => 'Masonry 3 Column Full',
                    'normal-3-column' => 'Normal 3 Column',
                    'normal-4-column-full' => 'Normal 4 Column Full',
                ),
                'default_value' => 'normal-3-column',
                'allow_null' => 0,
                'multiple' => 0,
            ),
            array (
                'key' => 'field_56f8daf01ae59',
                'label' => 'Select Portfolio Categories',
                'name' => 'select_portfolio_categories',
                'type' => 'taxonomy',
                'instructions' => 'Select portfolio categories from which you want to display portfolio items else all will be displayed. For filters you need to select them.',
                'taxonomy' => 'kora_genre',
                'field_type' => 'checkbox',
                'allow_null' => 0,
                'load_save_terms' => 0,
                'return_format' => 'id',
                'multiple' => 0,
            ),
            array (
                'key' => 'field_56f8dc4199962',
                'label' => 'Number Of Portfolio Items To Display',
                'name' => 'number_of_portfolio_items_to_display',
                'type' => 'number',
                'instructions' => 'Select number of portfolio items to display.',
                'default_value' => 6,
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'min' => 1,
                'max' => '',
                'step' => '',
            ),
            array (
                'key' => 'field_56f8dc8499963',
                'label' => 'Portfolio Items Display Order',
                'name' => 'portfolio_items_display_order',
                'type' => 'select',
                'instructions' => 'Make sure portfolio items display order is same in load more page as well.',
                'choices' => array (
                    'ASC' => 'Ascending',
                    'DESC' => 'Descending',
                ),
                'default_value' => 'ASC',
                'allow_null' => 0,
                'multiple' => 0,
            ),
            array (
                'key' => 'field_56f8dcc999964',
                'label' => 'Select Load More Page',
                'name' => 'select_load_more_page',
                'type' => 'post_object',
                'instructions' => 'Select page with load more template.',
                'post_type' => array (
                    0 => 'page',
                ),
                'taxonomy' => array (
                    0 => 'all',
                ),
                'allow_null' => 0,
                'multiple' => 0,
            ),
            array (
                'key' => 'field_56f8dcef99965',
                'label' => 'View More Button Text',
                'name' => 'view_more_button_text',
                'type' => 'text',
                'instructions' => 'Leave empty if not required.',
                'default_value' => 'View More',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f8dd3a99966',
                'label' => 'Loading Text',
                'name' => 'loading_text',
                'type' => 'text',
                'default_value' => 'Please Wait (Loading...',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f8dd6499967',
                'label' => 'No More Work Available',
                'name' => 'no_more_work_available',
                'type' => 'text',
                'default_value' => 'No More Work Available',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'page-portfolios.php',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_post-details',
        'title' => 'Post Details',
        'fields' => array (
            array (
                'key' => 'field_56f12b724a382',
                'label' => 'Post Animations Type',
                'name' => 'post_animations_type',
                'type' => 'select',
                'instructions' => 'You can select animations type for post.',
                'choices' => array (
                    'none' => 'none',
                    'bounce' => 'bounce',
                    'bounceIn' => 'bounceIn',
                    'flash' => 'flash',
                    'pulse' => 'pulse',
                    'rubberBand' => 'rubberBand',
                    'shake' => 'shake',
                    'swing' => 'swing',
                    'tada' => 'tada',
                    'wobble' => 'wobble',
                    'jello' => 'jello',
                    'fadeIn' => 'fadeIn',
                    'fadeInDown' => 'fadeInDown',
                    'fadeInDownBig' => 'fadeInDownBig',
                    'fadeInLeft' => 'fadeInLeft',
                    'fadeInLeftBig' => 'fadeInLeftBig',
                    'fadeInRight' => 'fadeInRight',
                    'fadeInRightBig' => 'fadeInRightBig',
                    'fadeInUp' => 'fadeInUp',
                    'fadeInUpBig' => 'fadeInUpBig',
                    'fadeOut' => 'fadeOut',
                    'fadeOutDown' => 'fadeOutDown',
                    'fadeOutDownBig' => 'fadeOutDownBig',
                    'fadeOutLeft' => 'fadeOutLeft',
                    'fadeOutLeftBig' => 'fadeOutLeftBig',
                    'fadeOutRight' => 'fadeOutRight',
                    'fadeOutRightBig' => 'fadeOutRightBig',
                    'fadeOutUp' => 'fadeOutUp',
                    'fadeOutUpBig' => 'fadeOutUpBig',
                    'slideInUp' => 'slideInUp',
                    'slideInDown' => 'slideInDown',
                    'slideInLeft' => 'slideInLeft',
                    'slideInRight' => 'slideInRight',
                    'zoomIn' => 'zoomIn',
                    'zoomInDown' => 'zoomInDown',
                    'zoomInLeft' => 'zoomInLeft',
                    'zoomInRight' => 'zoomInRight',
                    'zoomInUp' => 'zoomInUp',
                ),
                'default_value' => 'none',
                'allow_null' => 0,
                'multiple' => 0,
            ),
            array (
                'key' => 'field_56f12cd34a383',
                'label' => 'Post Animation Duration',
                'name' => 'post_animation_duration',
                'type' => 'number',
                'instructions' => 'You can set project animation type, input value will be considered in milli seconds.',
                'default_value' => '0.4',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'min' => 0,
                'max' => 2,
                'step' => '0.1',
            ),
            array (
                'key' => 'field_56f2186506726',
                'label' => 'Page Layout',
                'name' => 'page_layout',
                'type' => 'select',
                'instructions' => 'You can set post display layout.',
                'choices' => array (
                    'fullwidth' => 'Fullwidth',
                    'sidebar' => 'Sidebar',
                ),
                'default_value' => 'fullwidth',
                'allow_null' => 0,
                'multiple' => 0,
            ),
            array (
                'key' => 'field_56f218b206727',
                'label' => 'Post Sidebar Position',
                'name' => 'post_sidebar_position',
                'type' => 'select',
                'instructions' => 'Select single post sidebar position.',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f2186506726',
                            'operator' => '==',
                            'value' => 'sidebar',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'choices' => array (
                    'right' => 'Right',
                    'left' => 'Left',
                ),
                'default_value' => 'right',
                'allow_null' => 0,
                'multiple' => 0,
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'post',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'side',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_single-portfolio-details',
        'title' => 'Single Portfolio Details',
        'fields' => array (
            array (
                'key' => 'field_56f373593383b',
                'label' => 'Single Page Layout',
                'name' => 'single_portfolio_page_layout',
                'type' => 'select',
                'instructions' => 'You can choose among the different portfolio single pages layout.',
                'choices' => array (
                    'single-detailed' => 'Single Detailed',
                    'popup-detailed' => 'Popup Detailed',
                    'popup-side-info' => 'Popup Side Info',
                    'single-case-details' => 'Single Case Details',
                    'popup-case-details' => 'Popup Case Details',
                    'single-multi-cases' => 'Single Multiple Cases',
                ),
                'default_value' => 'single-detailed',
                'allow_null' => 0,
                'multiple' => 0,
            ),
            array (
                'key' => 'field_56f3967af938d',
                'label' => 'Brief Heading',
                'name' => 'brief_heading',
                'type' => 'text',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-detailed',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-case-details',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-case-details',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-detailed',
                        ),
                    ),
                    'allorany' => 'any',
                ),
                'default_value' => 'ABOUT THE CLIENT AND BRIEF',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f3971e96b42',
                'label' => 'Brief Text',
                'name' => 'brief_text',
                'type' => 'textarea',
                'instructions' => 'HTML tags are supported.',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-detailed',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-case-details',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-case-details',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-detailed',
                        ),
                    ),
                    'allorany' => 'any',
                ),
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'rows' => 8,
                'formatting' => 'html',
            ),
            array (
                'key' => 'field_56f397aa63573',
                'label' => 'Get In Touch Text',
                'name' => 'get_in_touch_text',
                'type' => 'text',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-detailed',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-case-details',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-case-details',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-detailed',
                        ),
                    ),
                    'allorany' => 'any',
                ),
                'default_value' => 'Get in touch',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f397eb63577',
                'label' => 'Get In Touch Link',
                'name' => 'get_in_touch_link',
                'type' => 'text',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-detailed',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-case-details',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-case-details',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-detailed',
                        ),
                    ),
                    'allorany' => 'any',
                ),
                'default_value' => '#',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f399602adbb',
                'label' => 'MORE FROM THIS PROJECT',
                'name' => 'more_from_this_project',
                'type' => 'text',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-detailed',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-detailed',
                        ),
                    ),
                    'allorany' => 'any',
                ),
                'default_value' => 'MORE FROM THIS PROJECT',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f399fc9a168',
                'label' => 'Next Project Text',
                'name' => 'next_project_text',
                'type' => 'text',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-detailed',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-case-details',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-detailed',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-case-details',
                        ),
                    ),
                    'allorany' => 'any',
                ),
                'default_value' => 'Next Project',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f39a9037fc2',
                'label' => '3 Column Small Images',
                'name' => '3_column_small_images',
                'type' => 'gallery',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-detailed',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-detailed',
                        ),
                    ),
                    'allorany' => 'any',
                ),
                'preview_size' => 'thumbnail',
            ),
            array (
                'key' => 'field_56f39be6cc832',
                'label' => 'Project Insight Heading',
                'name' => 'project_insight_heading',
                'type' => 'text',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-case-details',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-case-details',
                        ),
                    ),
                    'allorany' => 'any',
                ),
                'default_value' => 'PROJECT INSIGHTS',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f39c1bcc834',
                'label' => 'Project Insight Text',
                'name' => 'project_insight_text',
                'type' => 'textarea',
                'instructions' => 'HTML tags are supported.',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-case-details',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-case-details',
                        ),
                    ),
                    'allorany' => 'any',
                ),
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'rows' => 8,
                'formatting' => 'html',
            ),
            array (
                'key' => 'field_56f3a84a22207',
                'label' => 'Client Heading',
                'name' => 'client_heading',
                'type' => 'text',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-side-info',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'default_value' => 'CLIENT',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f3a8a322208',
                'label' => 'Client Text',
                'name' => 'client_text',
                'type' => 'textarea',
                'instructions' => 'HTML tags are allowed.',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-side-info',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'rows' => 8,
                'formatting' => 'html',
            ),
            array (
                'key' => 'field_56f3a909a42c8',
                'label' => 'Date Heading',
                'name' => 'date_heading',
                'type' => 'text',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-side-info',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'default_value' => 'DATE',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f3a92da42c9',
                'label' => 'Date Text',
                'name' => 'date_text',
                'type' => 'text',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-side-info',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f3a956a42ca',
                'label' => 'Skills Heading',
                'name' => 'skills_heading',
                'type' => 'text',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-side-info',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'default_value' => 'SKILLS',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f3a97fa42cb',
                'label' => 'Skills Text',
                'name' => 'skills_text',
                'type' => 'text',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-side-info',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f3a9a49c91a',
                'label' => 'View Demo Text',
                'name' => 'view_demo_text',
                'type' => 'text',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-side-info',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'default_value' => 'View Demo',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f3a9d49c91b',
                'label' => 'View Demo Link',
                'name' => 'view_demo_link',
                'type' => 'text',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-side-info',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'default_value' => '#',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56f3aa07724e3',
                'label' => 'Slides',
                'name' => 'info_popup_slides',
                'type' => 'gallery',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-side-info',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'preview_size' => 'thumbnail',
            ),
            array (
                'key' => 'field_56f3b2d07223a',
                'label' => 'Add Cases',
                'name' => 'details_add_cases',
                'type' => 'repeater',
                'instructions' => 'You can add as many cases as required.',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-case-details',
                        ),
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'popup-case-details',
                        ),
                    ),
                    'allorany' => 'any',
                ),
                'sub_fields' => array (
                    array (
                        'key' => 'field_56f3b3326baab',
                        'label' => 'Case Title',
                        'name' => 'da_case_title',
                        'type' => 'text',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'formatting' => 'html',
                        'maxlength' => '',
                    ),
                    array (
                        'key' => 'field_56f3b3416baac',
                        'label' => 'Description',
                        'name' => 'da_description',
                        'type' => 'textarea',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'maxlength' => '',
                        'rows' => '',
                        'formatting' => 'html',
                    ),
                    array (
                        'key' => 'field_56f3b36a6baad',
                        'label' => 'Case Points',
                        'name' => 'da_case_points',
                        'type' => 'repeater',
                        'column_width' => '',
                        'sub_fields' => array (
                            array (
                                'key' => 'field_56f3b3846baae',
                                'label' => 'Case Points',
                                'name' => 'da_case_points_2',
                                'type' => 'text',
                                'column_width' => '',
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'formatting' => 'html',
                                'maxlength' => '',
                            ),
                        ),
                        'row_min' => 0,
                        'row_limit' => '',
                        'layout' => 'table',
                        'button_label' => 'Add Case Points',
                    ),
                    array (
                        'key' => 'field_56f3b39e6baaf',
                        'label' => 'Case Image',
                        'name' => 'da_case_image',
                        'type' => 'image',
                        'column_width' => '',
                        'save_format' => 'url',
                        'preview_size' => 'medium',
                        'library' => 'all',
                    ),
                    array (
                        'key' => 'field_56f3b3b06bab0',
                        'label' => 'Case Gallery',
                        'name' => 'da_case_gallery',
                        'type' => 'repeater',
                        'instructions' => 'You have to set image column size, based on 12 column grid system.',
                        'column_width' => '',
                        'sub_fields' => array (
                            array (
                                'key' => 'field_56f3b5516338f',
                                'label' => 'Image',
                                'name' => 'da2_image',
                                'type' => 'image',
                                'column_width' => '',
                                'save_format' => 'url',
                                'preview_size' => 'thumbnail',
                                'library' => 'all',
                            ),
                            array (
                                'key' => 'field_56f3b56a63390',
                                'label' => 'Image Column',
                                'name' => 'da2_image_column',
                                'type' => 'number',
                                'column_width' => '',
                                'default_value' => 3,
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'min' => 1,
                                'max' => 12,
                                'step' => 1,
                            ),
                        ),
                        'row_min' => 0,
                        'row_limit' => '',
                        'layout' => 'table',
                        'button_label' => 'Add Gallery Images',
                    ),
                ),
                'row_min' => 0,
                'row_limit' => '',
                'layout' => 'row',
                'button_label' => 'Add New Case',
            ),
            array (
                'key' => 'field_56f3b6f181219',
                'label' => 'Add Cases',
                'name' => 'smc_add_cases',
                'type' => 'repeater',
                'instructions' => 'You can add as many cases as you want.',
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_56f373593383b',
                            'operator' => '==',
                            'value' => 'single-multi-cases',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'sub_fields' => array (
                    array (
                        'key' => 'field_56f3b7ffe7933',
                        'label' => 'Case Title',
                        'name' => 'smc_case_title',
                        'type' => 'text',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'formatting' => 'html',
                        'maxlength' => '',
                    ),
                    array (
                        'key' => 'field_56f3b818e7934',
                        'label' => 'Description',
                        'name' => 'smc_description',
                        'type' => 'textarea',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'maxlength' => '',
                        'rows' => 4,
                        'formatting' => 'html',
                    ),
                    array (
                        'key' => 'field_56f3b83be7935',
                        'label' => 'Case Points',
                        'name' => 'smc_case_points',
                        'type' => 'repeater',
                        'column_width' => '',
                        'sub_fields' => array (
                            array (
                                'key' => 'field_56f3b851e7936',
                                'label' => 'Case Point',
                                'name' => 'smc2_case_point',
                                'type' => 'text',
                                'column_width' => '',
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'formatting' => 'html',
                                'maxlength' => '',
                            ),
                        ),
                        'row_min' => 0,
                        'row_limit' => '',
                        'layout' => 'table',
                        'button_label' => 'Add Case Points',
                    ),
                    array (
                        'key' => 'field_56f3b873e7937',
                        'label' => 'View Full Study Text',
                        'name' => 'smc_view_full_study_text',
                        'type' => 'text',
                        'column_width' => '',
                        'default_value' => 'View Full Study',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'formatting' => 'html',
                        'maxlength' => '',
                    ),
                    array (
                        'key' => 'field_56f3b8a6e7938',
                        'label' => 'View Full Study Link',
                        'name' => 'smc_view_full_study_link',
                        'type' => 'text',
                        'column_width' => '',
                        'default_value' => '#',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'formatting' => 'html',
                        'maxlength' => '',
                    ),
                    array (
                        'key' => 'field_56f3b8b8e7939',
                        'label' => 'Hide Share',
                        'name' => 'smc_hide_share',
                        'type' => 'select',
                        'instructions' => 'You can hide social share button.',
                        'column_width' => '',
                        'choices' => array (
                            'no' => 'No',
                            'yes' => 'Yes',
                        ),
                        'default_value' => 'no',
                        'allow_null' => 0,
                        'multiple' => 0,
                    ),
                    array (
                        'key' => 'field_56f3b8ebe793a',
                        'label' => 'Content Position',
                        'name' => 'smc_content_position',
                        'type' => 'select',
                        'column_width' => '',
                        'choices' => array (
                            'left' => 'Left',
                            'right' => 'Right',
                        ),
                        'default_value' => 'left',
                        'allow_null' => 0,
                        'multiple' => 0,
                    ),
                    array (
                        'key' => 'field_56f3b948e793b',
                        'label' => 'Case Image',
                        'name' => 'smc_case_image',
                        'type' => 'image',
                        'column_width' => '',
                        'save_format' => 'url',
                        'preview_size' => 'medium',
                        'library' => 'all',
                    ),
                ),
                'row_min' => 0,
                'row_limit' => '',
                'layout' => 'row',
                'button_label' => 'Add Case',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'kora_portfolio',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_testimonial-details',
        'title' => 'Testimonial Details',
        'fields' => array (
            array (
                'key' => 'field_56fbb7221a047',
                'label' => 'Client Name',
                'name' => 'client_name',
                'type' => 'text',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_56fbb72f1a048',
                'label' => 'Client Designation',
                'name' => 'client_designation',
                'type' => 'text',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'kora-testimonials',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
                0 => 'permalink',
                1 => 'excerpt',
                2 => 'custom_fields',
                3 => 'discussion',
                4 => 'comments',
                5 => 'revisions',
                6 => 'slug',
                7 => 'author',
                8 => 'format',
                9 => 'featured_image',
                10 => 'categories',
                11 => 'tags',
                12 => 'send-trackbacks',
            ),
        ),
        'menu_order' => 0,
    ));
}
?>